GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/inline-frame.h File Reference

Go to the source code of this file.

## Functions
void | skip_inline_frames (ptid_t ptid)
void | clear_inline_frame_state (ptid_t ptid)
void | step_into_inline_frame (ptid_t ptid)
int | inline_skipped_frames (ptid_t ptid)
struct symbol * | inline_skipped_symbol (ptid_t ptid)
int | frame_inlined_callees (struct frame_info *this_frame)

## Variables
const struct frame_unwind | inline_frame_unwind

## Function Documentation

## ◆ clear_inline_frame_state()

void clear_inline_frame_state | ( | ptid_t | ptid | ) |

Definition at line 113 of file inline-frame.c.

References minus_one_ptid, pid, inline_state::ptid, ptid_equal(), ptid_get_pid(), ptid_is_pid(), VEC(), VEC_free, VEC_iterate, VEC_safe_push, and VEC_unordered_remove.

Referenced by infrun_thread_stop_requested(), init_wait_for_inferior(), and target_resume().

## ◆ frame_inlined_callees()

int frame_inlined_callees | ( | struct frame_info * | this_frame | ) |

Definition at line 396 of file inline-frame.c.

References get_frame_type(), get_next_frame(), inferior_ptid, INLINE_FRAME, and inline_skipped_frames().

Referenced by find_frame_sal(), and get_frame_block().

## ◆ inline_skipped_frames()

int inline_skipped_frames | ( | ptid_t | ptid | ) |

Definition at line 369 of file inline-frame.c.

References inline_state::ptid, and inline_state::skipped_frames.

Referenced by frame_inlined_callees(), frame_show_address(), prepare_one_step(), and process_event_stop_test().

## ◆ inline_skipped_symbol()

struct symbol* inline_skipped_symbol | ( | ptid_t | ptid | ) |

Definition at line 383 of file inline-frame.c.

References gdb_assert, inline_state::ptid, and inline_state::skipped_symbol.

Referenced by find_frame_sal().

## ◆ skip_inline_frames()

void skip_inline_frames | ( | ptid_t | ptid | ) |

Definition at line 304 of file inline-frame.c.

References allocate_inline_frame_state(), block_for_pc(), BLOCK_FUNCTION, block_inlined_p(), BLOCK_START, block_starting_point_at(), BLOCK_SUPERBLOCK, gdb_assert, get_current_frame(), get_frame_pc(), inline_state::ptid, reinit_frame_cache(), inline_state::saved_pc, inline_state::skipped_frames, and inline_state::skipped_symbol.

Referenced by handle_signal_stop().

## ◆ step_into_inline_frame()

void step_into_inline_frame | ( | ptid_t | ptid | ) |

Definition at line 356 of file inline-frame.c.

References gdb_assert, inline_state::ptid, reinit_frame_cache(), and inline_state::skipped_frames.

Referenced by prepare_one_step(), and process_event_stop_test().

## Variable Documentation

## ◆ inline_frame_unwind

const struct frame_unwind inline_frame_unwind

Definition at line 263 of file inline-frame.c.

Referenced by frame_unwind_init().